'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var copyConfig = function () {
	var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(options) {
		var config, configPath;
		return _regenerator2.default.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						console.log('Copying Babel config...');
						config = (0, _config2.default)(options);
						configPath = (0, _path.join)(process.cwd(), '.babelrc');

						console.log(configPath);
						_context.next = 6;
						return (0, _fsExtra.outputJson)(configPath, config, { spaces: '\t' });

					case 6:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, this);
	}));

	return function copyConfig(_x) {
		return _ref.apply(this, arguments);
	};
}();

var _path = require('path');

var _fsExtra = require('fs-extra');

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = copyConfig;
//# sourceMappingURL=copy-config.js.map