'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var buildBabel = function () {
	var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(options) {
		return _regenerator2.default.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						console.log('Building with Babel...');

						if (options.dist) {
							_context.next = 5;
							break;
						}

						_context.next = 4;
						return (0, _getDist2.default)(options.src);

					case 4:
						options.dist = _context.sent;

					case 5:
						if (options['no-config']) {
							_context.next = 8;
							break;
						}

						_context.next = 8;
						return Promise.all([(0, _fsExtra.remove)(options.dist), (0, _copyConfig2.default)(options), (0, _copyConfig4.default)(options)]);

					case 8:
						_context.next = 10;
						return (0, _childProcessPromise.exec)('NODE_ENV=production babel ' + options.src + ' --out-dir ' + options.dist + ' --source-maps');

					case 10:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, this);
	}));

	return function buildBabel(_x) {
		return _ref.apply(this, arguments);
	};
}();

var _fsExtra = require('fs-extra');

var _childProcessPromise = require('child-process-promise');

var _copyConfig = require('./babel/copy-config');

var _copyConfig2 = _interopRequireDefault(_copyConfig);

var _copyConfig3 = require('./postcss/copy-config');

var _copyConfig4 = _interopRequireDefault(_copyConfig3);

var _getDist = require('./get-dist');

var _getDist2 = _interopRequireDefault(_getDist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = buildBabel;
//# sourceMappingURL=build.js.map