'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var getDist = function () {
	var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(src) {
		var splitSrc, dirName;
		return _regenerator2.default.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						splitSrc = src.split('/');
						_context.next = 3;
						return (0, _fsExtra.stat)(src);

					case 3:
						if (_context.sent.isDirectory()) {
							_context.next = 5;
							break;
						}

						splitSrc.pop();

					case 5:
						dirName = splitSrc.pop();

						splitSrc = splitSrc.join('/');
						if (splitSrc) splitSrc = splitSrc + '/';

						if (!(dirName === 'src')) {
							_context.next = 10;
							break;
						}

						return _context.abrupt('return', splitSrc + 'dist');

					case 10:
						return _context.abrupt('return', splitSrc + 'dist-' + dirName);

					case 11:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, this);
	}));

	return function getDist(_x) {
		return _ref.apply(this, arguments);
	};
}();

var _fsExtra = require('fs-extra');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = getDist;
//# sourceMappingURL=get-dist.js.map