'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var runFile = function () {
	var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(options) {
		return _regenerator2.default.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						if (options['no-config']) {
							_context.next = 3;
							break;
						}

						_context.next = 3;
						return (0, _copyConfig2.default)(options);

					case 3:
						console.log('Running ' + options.file);
						(0, _childProcessPromise.spawn)('babel-node ' + options.file, [], {
							shell: true,
							stdio: 'inherit'
						});

					case 5:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, this);
	}));

	return function runFile(_x) {
		return _ref.apply(this, arguments);
	};
}();

var _childProcessPromise = require('child-process-promise');

var _copyConfig = require('./babel/copy-config');

var _copyConfig2 = _interopRequireDefault(_copyConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = runFile;
//# sourceMappingURL=run.js.map