'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var startServer = function () {
	var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
		var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
		var server;
		return _regenerator2.default.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						console.log('Starting server pointed to ' + options.dir);
						options = (0, _extends3.default)({
							open: options['no-open'] ? false : true
						}, options);
						if (options.src) {
							options.rootPath = options.src;
							delete options.src;
						}

						if (options.port) {
							_context.next = 7;
							break;
						}

						_context.next = 6;
						return (0, _getPort2.default)({ port: 3000 });

					case 6:
						options.port = _context.sent;

					case 7:
						server = new _staticServer2.default(options);

						server.start(function () {
							return console.log('Started server on port ' + server.port);
						});

					case 9:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, this);
	}));

	return function startServer() {
		return _ref.apply(this, arguments);
	};
}();

var _staticServer = require('static-server');

var _staticServer2 = _interopRequireDefault(_staticServer);

var _getPort = require('get-port');

var _getPort2 = _interopRequireDefault(_getPort);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = startServer;
//# sourceMappingURL=serve.js.map