'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var resetGit = function () {
	var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
		return _regenerator2.default.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						_context.next = 2;
						return (0, _fsExtra.pathExists)('.git');

					case 2:
						if (_context.sent) {
							_context.next = 4;
							break;
						}

						return _context.abrupt('return', console.log('No .git directory found'));

					case 4:
						console.log('Resetting git...');
						_context.next = 7;
						return (0, _fsExtra.remove)('.git');

					case 7:
						_context.next = 9;
						return (0, _childProcessPromise.spawn)(['git init', 'git add .', 'git commit -m "Initial commit"'].join(' && '), [], {
							shell: true,
							stdio: 'inherit'
						});

					case 9:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, this);
	}));

	return function resetGit() {
		return _ref.apply(this, arguments);
	};
}();

var reset = function () {
	var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(options) {
		return _regenerator2.default.wrap(function _callee2$(_context2) {
			while (1) {
				switch (_context2.prev = _context2.next) {
					case 0:
						_context2.next = 2;
						return (0, _rename2.default)(options);

					case 2:
						_context2.next = 4;
						return resetGit();

					case 4:
					case 'end':
						return _context2.stop();
				}
			}
		}, _callee2, this);
	}));

	return function reset(_x) {
		return _ref2.apply(this, arguments);
	};
}();

var _childProcessPromise = require('child-process-promise');

var _fsExtra = require('fs-extra');

var _rename = require('./rename');

var _rename2 = _interopRequireDefault(_rename);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = reset;
//# sourceMappingURL=reset.js.map