'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var runFile = function () {
	var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(options) {
		return _regenerator2.default.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						if (options['no-config']) {
							_context.next = 3;
							break;
						}

						_context.next = 3;
						return (0, _copyConfig2.default)(options);

					case 3:

						console.log('Running tests...');
						_context.prev = 4;
						_context.next = 7;
						return (0, _childProcessPromise.spawn)('jest', [], {
							shell: true,
							stdio: 'inherit'
						});

					case 7:
						_context.next = 12;
						break;

					case 9:
						_context.prev = 9;
						_context.t0 = _context['catch'](4);

						process.exit(1);

					case 12:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, this, [[4, 9]]);
	}));

	return function runFile(_x) {
		return _ref.apply(this, arguments);
	};
}();

var _childProcessPromise = require('child-process-promise');

var _copyConfig = require('./babel/copy-config');

var _copyConfig2 = _interopRequireDefault(_copyConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = runFile;
//# sourceMappingURL=tests.js.map